XdkWrl: GeoPositionInterpolator Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# GeoPositionInterpolator Class Reference
[Standard Node Types]

`#include <geopositioninterpolator.h>`

Inherits Node.

List of all members.

## Public Member Functions
| GeoPositionInterpolator (const char *name="")
virtual | ~GeoPositionInterpolator ()
virtual unsigned int | nbFields () const
virtual FieldHandle | field (const std::string &n)
virtual FieldHandle | field (unsigned int i)
virtual bool | isSetToDefaultValue (unsigned int i) const
virtual unsigned int | nbEventsIn () const
virtual EventInHandle | eventIn (const std::string &n)
virtual EventInHandle | eventIn (unsigned int i)
virtual unsigned int | nbEventsOut () const
virtual EventOutHandle | eventOut (const std::string &n)
virtual EventOutHandle | eventOut (unsigned int i)
const char * | typeName () const
virtual Node * | duplicate () const
virtual Node * | duplicate (std::map< const Node *, Node * > &) const
## Public Attributes
Fields
A property or attribute of a node. Each node type has a fixed set of fields. Fields may contain various kinds of data and one or many values. Each field has a default value.
SFNode | geoOrigin
MFString | geoSystem
MFFloat | key
MFString | keyValue
Events In
EventIn< SFFloat > | set_fraction
Events Out
EventOut< SFString > | geovalue_changed
EventOut< SFVec3f > | value_changed

## Detailed Description

Here is the documentation for this node type, from the ISO standard.

## 6.29 GeoPositionInterpolator

The GeoPositionInterpolator node provides an interpolator capability where keyValues are specified in geospatial coordinates and the interpolation is performed within the specified spatial reference frame.

The geoOrigin field is used to specify a local coordinate frame for extended precision as described in 4.15.5 Dealing with high-precision coordinates.

The geoSystem field is used to define the spatial reference frame and is described in 4.15.3, Encoding a spatial reference frame.

The fields key, set_fraction, and value_changed have the same meaning as in the base VRML PositionInterpolator.

The keyValue string array is used to contain the actual coordinates and should be provided in a format consistent with that specified for the particular geoSystem. Each individual geospatial coordinate shall be provided in its own string within the array, e.g. [ "x1 y1 z1", "x2 y2 z2" ].

The geovalue_changed eventOut outputs the string defining the interpolated coordinate in the spatial reference frame specified by geoSystem. This can be passed to other GeoVRML nodes that support an eventIn of this form, e.g. GeoViewpoint and GeoLocation.

## Constructor & Destructor Documentation

GeoPositionInterpolator | ( | const char * | name = `""` | ) |

Construct a node with all its fields set to default value, which is equivalent to the code below:

~GeoPositionInterpolator | ( |  | ) | `[virtual]`

Virtual destructor, does nothing

## Member Function Documentation

unsigned int nbFields | ( |  | ) | const`[inline, virtual]`

Returns the number of fields (exposed or not) for this node type.

Implements Node.

wrl::Node::FieldHandle field | ( | const std::string & | n | ) | `[virtual]`

Return a handle on the field named `n` of the node or a "unknown" typed handle if there is no such field. Valid names are:

- geoOrigin
- geoSystem
- key
- keyValue

Implements Node.

wrl::Node::FieldHandle field | ( | unsigned int | n | ) | `[virtual]`

Return a handle on the `i` th field of the node or a "unknown" typed handle if there is no such node. Here is how `i` is related to fields:

- 0 : geoOrigin
- 1 : geoSystem
- 2 : key
- 3 : keyValue This function is useful, with nbFields() if you want to traverse all fields of a Node.

Implements Node.

bool isSetToDefaultValue | ( | unsigned int | i | ) | const`[virtual]`

Implements Node.

unsigned int nbEventsIn | ( |  | ) | const`[inline, virtual]`

Returns the number of events in for this node type.

Implements Node.

wrl::Node::EventInHandle eventIn | ( | const std::string & | n | ) | `[virtual]`

Return a handle on the event in named `n` of the node or a "unknown" typed handle if there is no such event. Valid names are:

- set_fraction

Implements Node.

wrl::Node::EventInHandle eventIn | ( | unsigned int | n | ) | `[virtual]`

Return a handle on the `i` th event in of the node or a "unknown" typed handle if there is no such node. Here is how `i` is related to fields:

- 0 : set_fraction

This function is useful, with nbEventsIn() if you want to traverse all events in of a Node.

Implements Node.

unsigned int nbEventsOut | ( |  | ) | const`[inline, virtual]`

Returns the number of events out for this node type.

Implements Node.

wrl::Node::EventOutHandle eventOut | ( | const std::string & | n | ) | `[virtual]`

Return a handle on the event out named `n` of the node or a "unknown" typed handle if there is no such event. Valid names are:

- geovalue_changed
- value_changed

Implements Node.

wrl::Node::EventOutHandle eventOut | ( | unsigned int | n | ) | `[virtual]`

Return a handle on the `i` th event out of the node or a "unknown" typed handle if there is no such node. Here is how `i` is related to fields:

- 0 : geovalue_changed
- 1 : value_changed This function is useful, with nbEventsOut() if you want to traverse all events in of a Node.

Implements Node.

const char * typeName | ( |  | ) | const`[inline, virtual]`

Returns `"GeoPositionInterpolator"`. Useful for printing.

Implements Node.

wrl::Node * duplicate | ( |  | ) | const`[virtual]`

Returns a deep copy of this node, that is a fully independant node with all children (if any) also copied. This is mainly useful for instanciating protos.

Implements Node.

virtual Node* duplicate | ( | std::map< const Node *, Node * > & |  | ) | const`[virtual]`

Implements Node.

## Member Data Documentation

SFNode geoOrigin

See Detailed Description for meaning of this field. Default value is set to SFNode default value

MFString geoSystem

See Detailed Description for meaning of this field. Default value is set to

MFFloat key

See Detailed Description for meaning of this field. Default value is set to MFFloat default value

MFString keyValue

See Detailed Description for meaning of this field. Default value is set to MFString default value

EventIn<SFFloat> set_fraction

See Detailed Description for meaning of this event.

EventOut<SFString> geovalue_changed

See Detailed Description for meaning of this event.

EventOut<SFVec3f> value_changed

See Detailed Description for meaning of this event.

Generated on 5 Jan 2007 with version 1.5.1. |